Skip to main content
GET
Read a deployment

Authorizations

Authorization
string
header
required

An API key from frogbot deploy's sign-in, /api/cli/device/token, or the API keys page.

Path Parameters

id
string
required

The deployment's id.

Response

OK

id
string
app
string

The id of a apps document.

status
enum<string>
Available options:
queued,
building,
ready,
failed,
cancelled
startedBy
string

The id of a users document.

source
string
upload
string
data
boolean
replaceData
boolean
queuedAt
string<date-time>
buildStartedAt
string<date-time>
finishedAt
string<date-time>
imageRef
string
healthRoute
boolean
adapter
string
syncSchema
boolean
error
string
logTail
any
builder
any
runtimeStatus
enum<string>
Available options:
starting,
live,
failed,
superseded
snapshot
string
restorePoint
any
liveAt
string<date-time>
rollbackOf
string

The id of a deployments document.

runtimeError
string
trigger
enum<string>
Available options:
share,
git
provider
string
instanceURL
string
repoID
string
commit
string
message
string
author
string
branch
string
runtimeLogTail
any